Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.event
Class Subscriber

    java.lang.Object
      org.cybergarage.upnp.event.Subscriber

    public class Subscriber

extends Object

Constructor Summary
`Subscriber()`

Method Summary
`String` | `getDeliveryHost()`
`String` | `getDeliveryPath()`
`int` | `getDeliveryPort()`
`String` | `getDeliveryURL()`
`String` | `getInterfaceAddress()`
`long` | `getNotifyCount()`
`String` | `getSID()`
`long` | `getSubscriptionTime()`
`long` | `getTimeOut()`
`void` | `incrementNotifyCount()`
`boolean` | `isExpired()`
`void` | `renew()`
`void` | `setDeliveryURL(String deliveryURL)`
`void` | `setInterfaceAddress(String addr)`
`void` | `setNotifyCount(int cnt)`
`void` | `setSID(String sid)`
`void` | `setSubscriptionTime(long time)`
`void` | `setTimeOut(long value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Subscriber

    public Subscriber()

Method Detail

### getSID

    public String getSID()

### setSID

    public void setSID(String sid)

### setInterfaceAddress

    public void setInterfaceAddress(String addr)

### getInterfaceAddress

    public String getInterfaceAddress()

### getDeliveryURL

    public String getDeliveryURL()

### setDeliveryURL

    public void setDeliveryURL(String deliveryURL)

### getDeliveryHost

    public String getDeliveryHost()

### getDeliveryPath

    public String getDeliveryPath()

### getDeliveryPort

    public int getDeliveryPort()

### getTimeOut

    public long getTimeOut()

### setTimeOut

    public void setTimeOut(long value)

### isExpired

    public boolean isExpired()

### getSubscriptionTime

    public long getSubscriptionTime()

### setSubscriptionTime

    public void setSubscriptionTime(long time)

### getNotifyCount

    public long getNotifyCount()

### setNotifyCount

    public void setNotifyCount(int cnt)

### incrementNotifyCount

    public void incrementNotifyCount()

### renew

    public void renew()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD